> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instagram Post

> This endpoint is used to fetch reviews from instagram for a specified business.



## OpenAPI

````yaml POST /instagram/post
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /instagram/post:
    post:
      description: >-
        This endpoint is used to fetch reviews from instagram for a specified
        business.
      requestBody:
        description: instagram review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstagramPostRequest'
        required: true
      responses:
        '200':
          description: Post fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstagramPostResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    InstagramPostRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Instragram page URL
        'is_embed ':
          type: boolean
          description: Instragram Post are embeded
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
    InstagramPostResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched posts from Instagram
          items:
            type: object
            properties:
              author_name:
                type: string
                description: Username of the post author
              author_profile_image_url:
                type: string
                description: URL of the author's HD profile image
              author_profile_url:
                type: string
                description: URL of the author's profile
              author_profile_image_url_org:
                type: string
                description: URL of the author's profile
              embed:
                type: object
                description: Embed code for the Instagram post
                properties:
                  blockquote:
                    type: string
                    description: HTML blockquote embed code
                  script:
                    type: string
                    description: JavaScript embed script
              is_verified_account:
                type: boolean
                description: Whether the account is verified
              post_comments_count:
                type: integer
                description: Number of comments on the post
              post_likes_count:
                type: integer
                description: Number of likes on the post
              query:
                type: string
                description: Original query URL used to fetch the post
              review_date:
                type: string
                description: Date when the post was published
                format: date-time
              review_image_urls:
                type: array
                description: Array of image URLs from the post
                items:
                  type: string
              review_text:
                type: string
                description: Text content of the post
              review_video_urls:
                type: array
                description: Array of video URLs from the post
                items:
                  type: string
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````